Skip to main content
GET
Get all Evaluators

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 50, and the default is 10

Required range: 1 <= x <= 200
starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.

sort
enum<string>
Available options:
asc,
desc
project_id
string
Minimum string length: 1

Response

Returns a list of evals

object
enum<string>
required
Available options:
list
data
(LLM · object | JSON · object | HTTP · object | Python · object | Function · object | Ragas · object | Typescript · object)[]
required
has_more
boolean
required